Menci Software

TerrainTools

Updated to ver. 1.1.1

Menci Software - TerrainTools - Copyright © 2014

WebSite: http://www.menci.com - E-Mail: info@menci.com


What is TerrainTools

TerrainTools is a software dedicated to 3D terrain models analysis and edit.

With TerrainTools you can evaluate volume, profiles, subctract DEMs, extract DTM (ground) from DSM and so on.
It includes a simplified CAD with basic features and tools.


Main features

  • Import of gtif/tif DEMs
  • Import of Geotiff orthophoto
  • Blended overlapped view of DEMs and orthophoto
  • Volume evaluation (related to interpolated plane or reference elevation)
  • Profiles analysis
  • Ground extraction by given scenario
  • DEMs subctraction
  • DEM editing (hole, flood fill, gap fixing, offset)
  • 2D distance and area measurements
  • Layers management
  • Basic CAD features: entities, styles, OSnap
  • Results import/export

TerrainTools requirements

Operating system: Windows Seven / 8

A temporary trial license is available to test TerrainTools with your datasets.

If you are evaluating TerrainTools, you can send your feedback to Menci Software writing to francesca.ceccaroni@menci.com.


GUI explanation

Main window

When the software starts following window will be opened.

At this level you can press "New" or "Open" an existing project.

At the bottom there is a "Output window", where CAD status and information messages are displayed.


Toolbars

MAIN TOOLBAR

This is the main toolbar on top

  • "Add": you can add DEMs and related orthophoto (optionally) to separated layers
  • "Orthophoto": if an orthophoto is loaded the blending slider is activated. You can see the orthophoto blended against DEMs
  • "Measurements": you can start several mesurements commands
  • "DEM Tools": some DEM editing commands
  • "DEM analysis": in this section are grouped commands dedicated to DEMs analysis
  • "Layers": layers management buttons. You can change layers properties and order.
  • "View": hide or show docked windows
  • "Info": help and information about TerrainTools. GetUpdate button opens the remote resource where is stored latest software version.

TIP: fill up the "User Data" form with your data: it will be usefull to identify reports you may send to Menci Software if some problem occurs.

CAD TOOLBAR

In the CAD toolbar there are following sections:

  • "Drawing I/O": import dwg/dxf/shp and export of dwg/dxf file formats. TerrainTools supports Autocad 2000 file formats.
  • "Draw": start drawing of points, polylines, rectangles and texts.
  • "Format": select point and line styles.
  • "OSnap": toggle activation of osnap on CAD workspace


New project

Setup new project. Basic informations

ADDING DATA

Once a project is created the CAD workspace is empty. You can add a DEM and any related orhophoto.

When two or more layers are present on CAD, the layer order window is displayed.

LAYER ORDER AND PROPERTY

You can change the layers order by dragging up or down a layer name.

To hide a layer simply click on the related bulb. Advanced layer's properties can be edited by "Layer" button.

BLENDING

An orthophoto view can be blended over the overlapped DEMs, moving the slider "Orthophoto".

SELECT AND DELETE ENTITIES

To delete a DEM or an orthophoto, or any other entity, simply select it by clicking on and press "canc" key (or right click and 'erase').
Moreover the selection can be done both cross and window. When you select by crossing, everything the bounding box touches is included in the selection set, including things only partially within the bounding box and entity inside lower layers.
When you select by window, only the objects entirely within the bounding box are included in the selection set.

When an entity is selected you can unselect it simply pressing the 'Esc' key.

MULTI-STEP COMMANDS

Some commands are composed by several selection steps (for example profile extraction). The cursor will help you to do the right action.
The same information are provided into CAD output window at bottom.

The reference DEM selection is requested only if there are more than one DEM into CAD.

OSNAP

The Object Snaps (Osnaps for short) are drawing aids which are used in conjunction with other commands to help you draw accurately.
Osnaps allow you to snap onto a specific object location when you are picking a point.

  • The Node Osnap snaps to the center of a Point object
  • The Endpoint Osnap snaps to the end points of lines and arcs and to polyline vertices
  • The Midpoint Osnap snaps to the mid points of lines and arcs and to the mid point of polyline segments
  • The Intersection Osnap snaps to the physical intersection of any two drawing objects
  • The Center Osnap snaps to the centre of a circle, arc or polyline arc segment
  • The Tangent Osnap snaps to a tangent point on a circle
  • The Perpendicular Osnap snaps to a point which forms a perpendicular with the selected object
  • The Nearest Osnap snaps to the nearest point on a drawing object


Volume

Evaluate Volume

TerrainTools allows to evaluate the volume of a DEM in a given area of interest (AOI).

The AOI can be drawn with a closed polyline or can be temporary defined before the evaluation (draw AOI).

The first choice is preferred when the computation is done on more than a DEM, to compare results on the same area.

The "over" volume is the quantity of 3D space of DEM enclosed by AOI that is over the current reference elevation plane.

The "under" volume is the quantity of 3D space of DEM enclosed by AOI that is under the current reference elevation plane.

The volume by "interpolated plane" is evaluated using the plane fitted between AOI vertices coordinates.

The volume "by elevation" the normal of used reference plane is (0,0,1).

In this case you can move the plane along the normal, changing the reference elevation.

The "AOI vertices minimum elevation" place the plane at the minimum elevation between area of interest's vertices.

In "AOI minimum elevation" is used the minimum elevation of DEM that is included into the AOI.

Otherwise is possible to setup and use a custom elevation (that can be picked directly on DEM).

The volume results are expressed in the same unit of the DEM and can be exported to a CSV text file.


Profiles

With this command you can extract and view profiles on DEMs.

If you plan to reload a profile data, the best way is to draw a polyline on a DEM and then select it for profile extraction.

You can draw a temporary polyline instead. After the command is started you have to select the current DEM (if more than a DEM are present).

Then select a polyline or press right click to start drawing a temporary one (in this case you have to pick at least 2 points).

Finally the profile got by projection of polyline on the DEM is displayed in a XZ and in a XY views.

The red line in the draw is the reference Z.
Moving the mouse over the profile, the absolute (related to DEM) and relative (related to reference Z) elevations are displayed.

The match between XZ and XY representations of profile is highlighted by the cursor.
Optionally you are able to edit the Z scale in order to fit the drawing to a better representation.
If you want a discontinued profile including holes and no data value parts, select the "Break on 'no Data' values" check.

The drawing can be exported to dwg/dxf files.


Distance and Area

To do 2D measurements like linear distance and area you can use following commands.


DEMs subtraction

DEM subtraction

DEM subtration is a usefull command to easily evaluate and highlight differences between overlapped DEMs.

For example two DEMs related to different moments (time 0 and time 1) can be compared.

Once the second DEM is inserted into the project, the Subtract button will be enabled. In example above a tree (DEM A) was cutted down (DEM B).

Turn off the DEM you consider the subtrahend (B) and turn on the minuend (A).

Then click on minuend DEM to select it.

Turn on the other subtrahend DEM and click on it to get the difference.

The result is displayed as a third DEM including Z elevation differences between overlapping area of A and B.

The Tolerance is the minimum difference to be considered as a "real" difference. All differences smaller than the tolerance will be considered zero.
Near the mouse cursor is displayed the picked difference value.

This result can be exported as gtif file and then imported in the project as a normal DEM, for further analysis (for example volume or profiles).


Ground filtering

The ground filtering is a process to extract a DTM (digital terrain model) from a DSM (digital surface model). See the glossary of terms to know what those kind of DEMs represent.

DTMs are used as base data for several production processes (for example orthophoto/orthomosaic generation and contour lines).

The first step is to select the DSM you want to process (only if more than a DSM are present).

Then you have to select the "scenario" that better suite your dataset (country, suburban, urban and metopolitan).

The right scenario depends by density and size of over-ground object inside the AOI.

Another customizable parameter is the "curvature threshold" angle, expressed in radians.

The curvature threshold means the limit under which slopes are considered "ground".

If a slope is bigger than the curvature threshold, the object that includes this slope is considered like an over-ground item (tree, building, etc.).

Combining the scenario with the curvature threshold parameters you can refine the ground filtering process.

Start DSM:

Extracted DTM:


DEM Editing

DEM Editing Commands

With TerrainTools is possible to fix and edit DEMs.

Currently 5 editing tools are included:

  • Hole: create holes in a DEM
  • Close Gaps: interpolate the holes using border elevations
  • Patch It: fix DEMs area by smart interpolation
  • Flood Fill: fill DEMs undefined area by selected elevation
  • Offset: add a given offset to DEM area elevation

When you save to project any editing operation is definitvely applied to original imported DEMs.

GENERAL INFORMATIONS

  • Commands are composed by several steps (e.g. area selection and command application): current step instruction are written closer to the mouse cursor
    and into the command line window. Numeric input eventually needed can be wrote inside command line window.

  • To start an editing command the previous one must be closed.

  • All commands support undo/redo operations. The undo queue is deleted when the project is closed.

  • Commands are applied on every visible DEMs (for example an hole on two overlapped DEMs will pierce both them).

  • Some commands require an area. Here some generic rules:

    • when you close the area (right mouse button) with less than 3 points, the area is not valid and the command is skipped.

    • don't create huge selection area: a large amount of memory is required to apply commands on a big area and interpolation results are not reliable

    • don't approximate too much the area if the subject to fix is complex:

    • select only what you need:

    • select convex area only:

DEM HOLE

Select the area of new hole, by clicking 3 or more vertexes.

Right click close current hole and open the next one.

To close the command click right mouse button twice. Select a new area instead.

CLOSE GAPS

Close gaps command fill holes using an interpolation of surrounding elevations.

The border elevations only are considered to complete the command.

As the hole command the first step is the area definition.

When right mouse button is pressed the hole is filled up.

Repeat the opeation with other holes or close the command by pressing right mouse button twice.

PATCH IT

This command fix a DEM's area. It uses area's border surrounding elevations to interpolate elevations included in the selected polygon.

It has two main purposes:

- close gaps: when a DEM has holes it can be used to fill them with interpolated values.

- remove objects from DEM surface (e.g. removing trees or building from a DSM)

The command supports a contraint elevation point: if you input point absolute elevation and click its coordinates, interpolation will be done following the point.
Only points clicked inside the patch area are considered for next interpolation.

TIP: all elevations inside the patch area can be changed by command (this is the main difference with close gaps command, which acts on undefined elevation only).

If you don't need any contraint point you can skip steps 1 and 2 by click left mouse button.

Then pick the command area. The area border must be lie on a "valid" place: nearby elevation are used as reference to change what is included in the area, so the area surround must be reliable.

Patch command will be automatically closed once it is applied to DEM.

Sample: tree removed without constraint point

Sample: tree removed using constraint point

Sample: fill an hole

FLOOD FILL

Flood fill command allows to fill with a preselected elevation an hole.

It is usefull to fill gaps or reconstruction holes.

The first step is to get the reference elevation by clicking it on DEM with SHIFT key pressed.

Then click inside the hole to fill it.

Repeat the opeation with other holes or close the command by pressing right mouse button twice.

OFFSET

The offset command add an offset to DEM's elevations included in a given area.

First of all input the offset elevation (e.g. -10)

Then pick the area to be edited.

Press right mouse button to apply the offset.

The offset command restarts automatically. Press right mouse button twice (ord ESC key) to close it.


Glossary

  • DEM: a Digital Elevation Model is a digital model or 3D representation of a terrain's surface.
  • DSM: a Digital Surface Model represents the surface and includes all objects on it (buildings, trees, ...).
  • DTM: a Digital Terrain Model represents the bare ground surface without any objects like plants and buildings.

More info by Wikipedia

  • Orthophoto: an orthophoto, orthophotograph or orthoimage is an aerial photograph geometrically corrected ("orthorectified") such that the scale is uniform: the photo has the same lack of distortion as a map. Unlike an uncorrected aerial photograph, an orthophotograph can be used to measure true distances, because it is an accurate representation of the Earth's surface, having been adjusted for topographic relief, lens distortion, and camera tilt.

More info by Wikipedia

  • Normal: In geometry, a normal is an object such as a line or vector that is perpendicular to a given object.

More info by Wikipedia